lp:ubuntu/karmic/flashplugin-nonfree

Created by James Westby on 2009-08-07 and last modified on 2009-08-07
Get this branch:
bzr branch lp:ubuntu/karmic/flashplugin-nonfree
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

55. By Marc Deslauriers on 2009-08-07

* SECURITY UPDATE: New upstream release 10.0.32.18
  - debian/config, debian/postinst: Updated sha256sums.
  - debian/prerm, debian/postinst: add --quiet to update-alternatives
  - debian/prerm: remove the --remove-all update-alternatives commands,
    and add a failed-upgrade section to work around broken prerm script
    in current package caused by a change in behaviour in the
    update-alternatives tool.
  - debian/prerm, debian/postinst, debian/dirs: add ubufox support.
  - CVE-2009-1862
  - CVE-2009-1863
  - CVE-2009-1864
  - CVE-2009-1865
  - CVE-2009-1866
  - CVE-2009-1867
  - CVE-2009-1868
  - CVE-2009-1869
  - CVE-2009-1870

54. By Alexander Sack on 2009-04-08

* rename main binary to flashplugin-installer and make a transitional
  package out of flashplugin-nonfree
  - update debian/control
  - rename debian/flashplugin-nonfree.install -> flashplugin-installer.install
  - remove debian/install
  - update debian/templates
  - update debian/postinst,prerm
  - update debian/config
* register /var/lib/flashplugin-installer/ as a nspluginwrapper dir by installing
  a file in /usr/lib/nspluginwrapper/dirs.d/
  - update debian/rules
* explicitly set new flashplugin-installer location if alternative still points
  to flashplugin-nonfree location
  - update debian/postinst

53. By Jamie Strandboge on 2009-02-25

* SECURITY UPDATE: New upstream release 10.0.22.87
  - debian/config, debian/postinst: Updated for sha256sums.
  - CVE-2009-0114
  - CVE-2009-0519
  - CVE-2009-0520
  - CVE-2009-0522
  - CVE-2009-0521

52. By Steve Langasek on 2009-01-30

* Depend on ia32-libs (>= 2.2ubuntu18) on amd64, to get libnss3.so and
  libnspr4.so. LP: #272314.
* Depend on libnss3-1d (>= 3.12.0~beta3), libnspr4-0d (>= 4.7.1~beta2)
  on the other archs for the same reason.
* Exclude amd64 for the other library dependencies; as long as we're
  using nspluginwrapper on amd64, the rest of these libraries aren't
  relevant.

51. By Alexander Sack on 2008-12-19

* upstream re-release (10.0.15.3)
  - update postinst to pull versioned sources from canonical
    archive
  - backout switch to native 64-bit alpha/beta plugin; reinstantiate
    nspluginwrapper logic for _all_ archs
  - use sha1sum to verify TGZ

50. By Kees Cook on 2008-11-17

* New upstream release (LNX 10,0,15,3).
* Support native 64bit flash plugin (LNX 10,0,21,1):
  http://labs.adobe.com/downloads/flashplayer10.html
* debian/postinst: switch to SHA1 sums, handle alternate unpack dir.

49. By Fabien Tassin on 2008-10-15

* New upstream release (10.0.12.36) (LP: #283669)
* debian/config, debian/postinst: Update md5sums, filenames, and paths.
* debian/control: add Xb-Npp-Description and Xb-Npp-File for
  the plugin wizard, add Homepage, bump Standards-Version to 3.8.0

48. By Daniel T Chen on 2008-09-24

* New upstream release candidate (LNX 10,0,12,10) granted
  FeatureFreeze exception (LP: #257403).
* debian/config:
  debian/postinst: Update md5sums, filenames, and paths.
* debian/control: Conflict with libflashsupport; it was a suboptimal
  hack. Remove it from the alternate recommends for libasound2-plugins,
  too.

47. By Daniel T Chen on 2008-07-02

* New upstream beta.
* debian/config:
  debian/postinst: Update md5sums, filenames, and paths.
* debian/control: Demote versioned dependency for libflashsupport|
  libasound2-plugins to recommends.

46. By Daniel T Chen on 2008-05-20

* New upstream beta fixes many crashers (most significantly
  LP: #192888).
* debian/config:
  debian/postinst: Update md5sums, filenames, and paths. Remove
  debugging bits (LP: #176226).
* debian/control: Readd versioned dependency for libflashsupport|
  libasound2-plugins to play nicely with either PulseAudio config
  while preserving OSSv4 users' ability to have audible "shiny"
  (LP: #206307, #186726, #183943, #151849).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/lucid/flashplugin-nonfree
This branch contains Public information 
Everyone can see this information.

Subscribers